%global momorel 7
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: KPowersave is the KDE frontend for powermanagement
Name: kpowersave
Version: 0.7.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://powersave.sourceforge.net/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/powersave/%{name}-%{version}.tar.bz2 
NoSource: 0
Patch0: %{name}-0.7.2-desktop.patch
Patch1: %{name}-%{version}-pidof.patch
Patch2: %{name}-%{version}-dcop-unmount.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: hal
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: dbus-devel
BuildPreReq: dbus-qt-devel
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: hal-devel
BuildPreReq: libXScrnSaver-devel
BuildPreReq: libXext-devel
BuildPreReq: libXtst-devel
BuildPreReq: libtool

%description
KPowersave is the KDE frontend for powermanagement. 
It provides battery monitoring, suspend/ standby 
triggers and many more features for KDE (and GNOME). 

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .pidof
%patch2 -p1 -b .dcop

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applications/kde/kpowersave.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL README TODO
%{_bindir}/kpowersave
%{_libdir}/kde3/kpowersave.la
%{_libdir}/kde3/kpowersave.so
%{_libdir}/libkdeinit_kpowersave.la
%{_libdir}/libkdeinit_kpowersave.so
%{_datadir}/applications/kde/kpowersave.desktop
%{_datadir}/apps/kpowersave
%{_datadir}/autostart/kpowersave-autostart.desktop
%{_datadir}/config/kpowersaverc
%{_datadir}/doc/HTML/*/kpowersave
%{_datadir}/icons/*/*/*/kpowersave.png
%{_datadir}/locale/*/LC_MESSAGES/kpowersave.mo

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-7m)
- revise %%{_docdir}/HTML/*/kpowersave/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.3-6m)
- rebuild against qt3

* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-5m)
- import 2 patches from Fedora
 +* Wed Feb 06 2008 Dennis Gilmore <dennis@ausil.us> - 0.7.3-3
 +- apply patch for bugzilla #245293 #426666

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.3-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.3-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.3-2m)
- %%NoSource -> NoSource

* Thu Nov  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- version 0.7.3
- License: GPLv2

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.2-1m)
- initial package for Momonga Linux
